using SanShared;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Language
{
    public class DE : ILanguage
    {
        Dictionary<string, string> fehlermeldungen = new Dictionary<string, string>();
        Dictionary<string, string> labels = new Dictionary<string, string>();

        public Dictionary<string,string> Fehlermeldungen { get => fehlermeldungen; }

        public Dictionary<string, string> Labels { get => labels; }

        public DE()
        {
            fehlermeldungen.Add("duplicate_projektnumber_in_street", "Es sind mehrere Projektnummern in eine gleiche Straße vorhanden");
            fehlermeldungen.Add("difference_ortnames_in_street", "Es sind verschiedene Ortnamen angegeben");
            fehlermeldungen.Add("wrong_project_number", "Projektnummer wurde nicht korrekt vergeben!");
            fehlermeldungen.Add("suggest_proj_nr_not_found", "Es konnte leider keine empfohlene Projektnummer emittelt werden!");
            fehlermeldungen.Add("suggest_proj_nr", "Der vermeintliche Projektnummer lautet: ");


            labels.Add("ort", "Ort");
            labels.Add("projekt", "Projektnummer");
            labels.Add("street", "Strassenname");
            labels.Add("add_objekt", "Neues Objekt hinzufügen");
            labels.Add("add_san", "Sanierung hinzufügen");
            labels.Add("btn_close", "Schließen");
            labels.Add("error_messages", "Fehlermeldungsarten");
            labels.Add("error_projwrong", "Projektnummer nicht vergeben");
            labels.Add("error_groundData", "Grunddaten sind nicht richtig vergeben");
            labels.Add("mainmenu_projekt", "&Projekt");
            labels.Add("mainmenu_projekt_new", "&Neu");
            labels.Add("mainmenu_projekt_open", "Ö&ffnen");

            labels.Add("inliner", "Inliner");
            labels.Add("schacht_an", "Schachtanbindung");
            labels.Add("kurzliner", "kurzliner");
            labels.Add("hut", "Hutprofil");

        }
    }
}
